Issue2030

classification
Title: readline add_history() typo
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, pjenvey, seletz, zyasoft
Priority: high Keywords:

Created on 2013-03-23.12:36:20 by seletz, last changed 2014-05-22.00:33:21 by zyasoft.

Files
File name Uploaded Description Edit Remove
unnamed pjenvey, 2013-03-25.00:06:37
Messages
msg7966 (view) Author: Stefan Eletzhofer (seletz) Date: 2013-03-23.12:36:20
The readline.py add_history() contains a typo.

--- readline.py.orig	2013-03-23 13:33:09.000000000 +0100
+++ readline.py	2013-03-23 13:33:13.000000000 +0100
@@ -94,7 +94,7 @@
     _reader.history.clear()

 def add_history(line):
-    _reader.addToHistory(line)
+    _reader.history.addToHistory(line)

 def get_history_length():
     return _reader.history.maxSize
msg7970 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-03-23.20:20:23
Hi Philip, a cursory look at this makes me agree that it is a typo, but I don't know much about this code (I see your name by it in the repo history). Does this look correct to you? If so I'll be happy to correct it.
msg7978 (view) Author: Philip Jenvey (pjenvey) Date: 2013-03-25.00:06:37
I don't recall ever working on this file before but it looks reasonable
AFAICT
msg7981 (view) Author: Stefan Eletzhofer (seletz) Date: 2013-03-25.09:08:28
just some background on this issue -- last Saturday I tried to run IPython (master)
using Jython (also master).  This was *one* bug I ran into.  The patch is obviously correct
IMHO, as the reader.history object *has* a addToHistory() method which actually
does what the method name suggests ;)

BTW -- hitting "reply" on tracker mails does bounce -- is that intended?
msg8520 (view) Author: Jim Baker (zyasoft) Date: 2014-05-22.00:33:21
This was fixed by Jeff Allen in 7115:6231c3bbcd90, along with a substantial refactoring in general.
History
Date User Action Args
2014-05-22 00:33:21zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg8520
nosy: + zyasoft
2013-03-25 09:08:28seletzsetmessages: + msg7981
2013-03-25 00:06:37pjenveysetfiles: + unnamed
messages: + msg7978
2013-03-23 20:20:23fwierzbickisetnosy: + pjenvey
messages: + msg7970
2013-03-23 20:13:45fwierzbickisetpriority: high
assignee: fwierzbicki
nosy: + fwierzbicki
2013-03-23 12:36:20seletzcreate